import TagGroup from './src/tag-group.vue';
export declare const LlTagGroup: import("ll-plus/es/utils").SFCWithInstall<import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly value: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string[]>, unknown, unknown, readonly [], boolean>;
    readonly options: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string[]>, unknown, unknown, readonly [], boolean>;
    readonly disabled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly isGray: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly size: {
        readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<() => import("ant-design-vue/es/config-provider").SizeType, unknown, unknown>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly listLoading: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly virtual: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly allowCreate: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly maxTagCount: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly sortBy: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./src/tag-group").TagSortBy>, unknown, unknown, "addOrder", boolean>;
    readonly triggerDistance: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 50, boolean>;
    readonly filter: {
        readonly type: import("vue").PropType<(inputValue: string, options: string[]) => string[]>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly placeholder: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "输入后回车新建", boolean>;
    readonly emptyText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "未找到匹配的标签", boolean>;
    readonly overflowDisplay: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./src/tag-group").TagGroupOverflowDisplay>, unknown, unknown, "collapse", boolean>;
    readonly collapseThreshold: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly addText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly addIcon: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "icon-add", boolean>;
}>, {
    props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        readonly value: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string[]>, unknown, unknown, readonly [], boolean>;
        readonly options: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string[]>, unknown, unknown, readonly [], boolean>;
        readonly disabled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly isGray: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly size: {
            readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<() => import("ant-design-vue/es/config-provider").SizeType, unknown, unknown>>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly listLoading: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly virtual: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly allowCreate: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly maxTagCount: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
        readonly sortBy: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./src/tag-group").TagSortBy>, unknown, unknown, "addOrder", boolean>;
        readonly triggerDistance: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 50, boolean>;
        readonly filter: {
            readonly type: import("vue").PropType<(inputValue: string, options: string[]) => string[]>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly placeholder: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "输入后回车新建", boolean>;
        readonly emptyText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "未找到匹配的标签", boolean>;
        readonly overflowDisplay: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./src/tag-group").TagGroupOverflowDisplay>, unknown, unknown, "collapse", boolean>;
        readonly collapseThreshold: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
        readonly addText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
        readonly addIcon: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "icon-add", boolean>;
    }>> & Readonly<{
        onInput?: (value: string) => any;
        onChange?: (value: string[]) => any;
        "onUpdate:value"?: (value: string[]) => any;
        "onUpdate:options"?: (value: any) => any;
        "onScroll-bottom"?: () => any;
    }> & {}>;
    emits: ((event: "input", value: string) => void) & ((event: "change", value: string[]) => void) & ((event: "update:value", value: string[]) => void) & ((event: "update:options", value: any) => void) & ((event: "scroll-bottom") => void);
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
    formItemContext: import("ant-design-vue/es/form/FormItemContext").FormItemContext;
    loading: import("vue").Ref<boolean, boolean>;
    inputValue: import("vue").Ref<string, string>;
    visible: import("vue").Ref<boolean, boolean>;
    inputRef: import("vue").Ref<any, any>;
    more: import("vue").Ref<number, number>;
    mouseMove: import("vue").Ref<boolean, boolean>;
    tagsTypeRef: import("vue").Ref<HTMLDivElement, HTMLDivElement>;
    tagContainerRef: import("vue").Ref<HTMLDivElement, HTMLDivElement>;
    tagRefs: import("vue").Ref<HTMLDivElement, HTMLDivElement>[];
    filterOptionsValue: import("vue").Ref<string[], string[]>;
    sessionBaseOptions: import("vue").Ref<string[], string[]>;
    customOptions: import("vue").Ref<string[], string[]>;
    tagsTypeWidth: import("vue").Ref<number, number>;
    shownArr: import("vue").Ref<string[], string[]>;
    btnRef: import("vue").Ref<any, any>;
    popoverRef: import("vue").Ref<HTMLElement, HTMLElement>;
    selectBoxRef: import("vue").Ref<HTMLElement, HTMLElement>;
    popoverStyle: import("vue").Ref<{}, {}>;
    arrowStyle: import("vue").Ref<{}, {}>;
    moreRef: import("vue").Ref<HTMLElement, HTMLElement>;
    morePopoverRef: import("vue").Ref<HTMLElement, HTMLElement>;
    morePopoverStyle: import("vue").Ref<{}, {}>;
    moreArrowStyle: import("vue").Ref<{}, {}>;
    moreVisible: import("vue").Ref<boolean, boolean>;
    moreIsHovering: import("vue").Ref<boolean, boolean>;
    moreHideTimer: number;
    animationFrameId: number;
    moreAnimationFrameId: number;
    value: import("vue").WritableComputedRef<string[], string[]>;
    exceededMaxTagCount: import("vue").ComputedRef<boolean>;
    innerOptions: import("vue").ComputedRef<string[]>;
    concatOptions: import("vue").ComputedRef<string[]>;
    sortTags: (tags: string[]) => string[];
    sortedValue: import("vue").ComputedRef<string[]>;
    hiddenTags: import("vue").ComputedRef<string[]>;
    getTagRefs: (i: number) => (el: any) => void;
    resizeObserver: ResizeObserver;
    getWidth: () => void;
    handleEnter: () => void;
    handleFilter: () => void;
    removeCustomOption: (item: string) => void;
    handleDelByValue: (tag: string) => void;
    handleClickFilter: (item: string) => void;
    itemHeight: number;
    scrollTop: import("vue").Ref<number, number>;
    totalHeight: import("vue").ComputedRef<number>;
    visibleData: import("vue").ComputedRef<any[]>;
    offsetTop: import("vue").ComputedRef<number>;
    scrollbarVisible: import("vue").Ref<boolean, boolean>;
    isHovering: import("vue").Ref<boolean, boolean>;
    scrollTimer: any;
    showScrollbar: () => void;
    hideScrollbarWithDelay: () => void;
    handleMouseEnterList: () => void;
    handleMouseLeaveList: () => void;
    handleScroll: (e: Event) => void;
    updatePosition: () => void;
    updateMorePosition: () => void;
    toggleVisible: () => void;
    handleClickOutside: (e: Event) => void;
    showMorePopover: () => void;
    hideMorePopoverImmediate: () => void;
    hideMorePopoverWithDelay: () => void;
    handleMoreMouseEnter: () => void;
    handleMoreMouseLeave: () => void;
    handleMorePopoverEnter: () => void;
    handleMorePopoverLeave: () => void;
    readonly LlEmpty: import("ll-plus/es/utils").SFCWithInstall<import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        readonly showTitle: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly title: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string>, unknown, unknown, "暂无数据", boolean>;
        readonly url: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string>, unknown, unknown, "", boolean>;
        readonly width: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string | number>, unknown, unknown, "100%", boolean>;
        readonly height: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string | number>, unknown, unknown, "100%", boolean>;
        readonly imageWidth: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string | number>, unknown, unknown, "20%", boolean>;
    }>, {
        props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
            readonly showTitle: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
            readonly title: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string>, unknown, unknown, "暂无数据", boolean>;
            readonly url: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string>, unknown, unknown, "", boolean>;
            readonly width: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string | number>, unknown, unknown, "100%", boolean>;
            readonly height: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string | number>, unknown, unknown, "100%", boolean>;
            readonly imageWidth: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string | number>, unknown, unknown, "20%", boolean>;
        }>> & Readonly<{}> & {}>;
        empty: import("vue").Ref<HTMLElement, HTMLElement>;
        purifiedTitleHtml: import("vue").ComputedRef<string>;
        style: import("vue").ComputedRef<{
            width: string;
            height: string;
        }>;
        imageWidth: import("vue").ComputedRef<string>;
        bem: {
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element: string, modifier: string) => string;
            bm: (blockSuffix: string, modifier: string) => string;
            bem: (blockSuffix: string, element: string, modifier: string) => string;
            is: (name?: string) => string;
        };
        bemInner: {
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element: string, modifier: string) => string;
            bm: (blockSuffix: string, modifier: string) => string;
            bem: (blockSuffix: string, element: string, modifier: string) => string;
            is: (name?: string) => string;
        };
        bemTitle: {
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element: string, modifier: string) => string;
            bm: (blockSuffix: string, modifier: string) => string;
            bem: (blockSuffix: string, element: string, modifier: string) => string;
            is: (name?: string) => string;
        };
        disableSelection: (element: HTMLElement) => void;
        readonly defaultEmptyUrl: string;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        readonly showTitle: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly title: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string>, unknown, unknown, "暂无数据", boolean>;
        readonly url: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string>, unknown, unknown, "", boolean>;
        readonly width: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string | number>, unknown, unknown, "100%", boolean>;
        readonly height: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string | number>, unknown, unknown, "100%", boolean>;
        readonly imageWidth: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string | number>, unknown, unknown, "20%", boolean>;
    }>> & Readonly<{}>, {
        readonly title: string;
        readonly width: import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<string | number>, unknown, unknown>;
        readonly url: string;
        readonly height: import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<string | number>, unknown, unknown>;
        readonly showTitle: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
        readonly imageWidth: import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<string | number>, unknown, unknown>;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:value': (value: string[]) => boolean;
    'update:options': (value: any) => boolean;
    change: (value: string[]) => boolean;
    'scroll-bottom': () => boolean;
    input: (value: string) => boolean;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly value: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string[]>, unknown, unknown, readonly [], boolean>;
    readonly options: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string[]>, unknown, unknown, readonly [], boolean>;
    readonly disabled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly isGray: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly size: {
        readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<() => import("ant-design-vue/es/config-provider").SizeType, unknown, unknown>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly listLoading: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly virtual: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly allowCreate: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly maxTagCount: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly sortBy: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./src/tag-group").TagSortBy>, unknown, unknown, "addOrder", boolean>;
    readonly triggerDistance: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 50, boolean>;
    readonly filter: {
        readonly type: import("vue").PropType<(inputValue: string, options: string[]) => string[]>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly placeholder: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "输入后回车新建", boolean>;
    readonly emptyText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "未找到匹配的标签", boolean>;
    readonly overflowDisplay: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./src/tag-group").TagGroupOverflowDisplay>, unknown, unknown, "collapse", boolean>;
    readonly collapseThreshold: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly addText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly addIcon: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "icon-add", boolean>;
}>> & Readonly<{
    onInput?: (value: string) => any;
    onChange?: (value: string[]) => any;
    "onUpdate:value"?: (value: string[]) => any;
    "onUpdate:options"?: (value: any) => any;
    "onScroll-bottom"?: () => any;
}>, {
    readonly value: string[];
    readonly disabled: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly options: string[];
    readonly placeholder: string;
    readonly virtual: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly maxTagCount: number;
    readonly isGray: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly emptyText: string;
    readonly addText: string;
    readonly listLoading: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly allowCreate: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly sortBy: import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<import("./src/tag-group").TagSortBy>, unknown, unknown>;
    readonly triggerDistance: number;
    readonly overflowDisplay: import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<import("./src/tag-group").TagGroupOverflowDisplay>, unknown, unknown>;
    readonly collapseThreshold: number;
    readonly addIcon: string;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>>;
export default LlTagGroup;
export * from './src/tag-group';
declare module 'vue' {
    interface GlobalComponents {
        LlTagGroup: typeof TagGroup;
    }
}
